require 'spec_helper'

describe Friendship do

  let(:user1) { FactoryGirl.create(:user) }
  let(:user2) { FactoryGirl.create(:user) }

  before(:each) do
    Friendship.save_using_models(user1, user2)
  end

  it "can create two-way friendship" do
    user1.friends?(user2).should be_true
    user2.friends?(user1).should be_true
  end

  it "should track user progression" do
    user1.first_friended_at.should_not be_nil
    user2.first_friended_at.should_not be_nil
  end


end
